0755-23698839
132-6576-8769

解决某浏览器不兼容FCKeditor的方法

创络讲堂 2013-12-18 08:00:00 5446次 https://www.chuangluo.com/news_352.html 作者:创络科技

深圳做网站的过程中,我们尽量使网站后台能够在全部浏览器下运行,但是多年以前开发的程序,在新的浏览器中,可能出现不兼容FCKeditor,工具栏不显示,FCKeditor无效的情况。这种情况我们大多数情况下是通过更新编辑器来完成的。

熟悉创络的客户朋友们肯定知道,我们如今已经没有继续使用FCK了,但是在多年以前,我们开发的网站项目中,还是有不少网站没有改版,依然采用的老版本的FCKeditor,对于某浏览器(这家互联网公司总是和别的几家闹,这里不敢提它的名称,你懂就行)下不兼容的情况,我们还是需要解决的,因为使用这种浏览器的客户不在少数。

方法一:治标不治本

在访问网站需要调用FCK的页面时,直接在地址栏右边的闪电符号上点击一下,选择浏览器符号,切换到兼容模式就可以了。但是这种方法很明显治标不治本,不可能客户在每一次访问时都自己去点击按钮切换到兼容模式。那么,有没有一种在代码层面上,自动设定客户在访问这个页面时,自动切换到兼容模式呢?有的!

方法二:通过网站代码设定浏览器为兼容模式

这个方法仅在6.2及以后的版本才有效,这也是站长们向官方反应多次后得到的解决方案!

<meta name=”renderer” content=”取值”>
content的取值为:webkit,ie-comp或ie-stand,注意要区分大小写,分别代表用极速模式,兼容模式,IE模式打开。

因为我们需要兼容模式,所以,直接将取值设定为:ie-comp即可!

当然了,以上方法只能是简单的应付一下,其实都没有在根本上解决问题,最好的方法是更新编辑器到最新的版本,或者换用其他编辑器。感谢您的关注,创络有你更精彩!

标准建站流程
客服电话
  • 132-6576-8769
  • 0755-23698839